### Enumeration

# WebKit WebExtensionMatchPatternError

#### Declaration

    error-domain WebKit.WebExtensionMatchPatternError

#### Description [src]

Enum values used to denote errors happening when creating a `WebKitWebExtensionMatchPattern`.

#### Members

Name | Description
--- | ---
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_UNKNOWN` | An unknown error occured.
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_INVALID_SCHEME` | The scheme component was invalid.
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_INVALID_HOST` | The host component was invalid.
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_INVALID_PATH` | The path component was invalid.

#### Type functions

###### webkit_web_extension_match_pattern_error_quark

Gets the quark for the domain of Web Extension Match Pattern errors.